﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DemoControls
{
    /// <summary>
    /// 方向
    /// </summary>
    public enum Orientation
    {
        /// <summary>
        /// 水平方向（从左到右）
        /// </summary>
        Horizontal_LR,
        /// <summary>
        /// 水平方向（从右到左）
        /// </summary>
        Horizontal_RL,
        /// <summary>
        /// 垂直方向（从上到上）
        /// </summary>
        Vertical_BT,
        /// <summary>
        /// 垂直方向（从上到下）
        /// </summary>
        Vertical_TB
    }

    /// <summary>
    /// 鼠标状态
    /// </summary>
    public enum MouseStatus
    {
        /// <summary>
        /// 鼠标进入
        /// </summary>
        Enter,
        /// <summary>
        /// 鼠标离开
        /// </summary>
        Leave,
        /// <summary>
        /// 鼠标按下
        /// </summary>
        Down,
        /// <summary>
        /// 鼠标按下释放
        /// </summary>
        Up
    }

    /// <summary>
    /// 滚动条方向
    /// </summary>
    public enum OrientationScrollBar
    {
        /// <summary>
        /// 水平方向
        /// </summary>
        Horizontal,
        /// <summary>
        /// 垂直方向
        /// </summary>
        Vertical
    }
    
    /// <summary>
    /// 进度条类型
    /// </summary>
    public enum ProgressType
    {
        /// <summary>
        /// 弧形
        /// </summary>
        Arc,
        /// <summary>
        /// 扇形
        /// </summary>
        Pie,
        /// <summary>
        ///  条形
        /// </summary>
        Bar
    }

    /// <summary>
    /// 进度条模式
    /// </summary>
    public enum ProgressMode
    {
        /// <summary>
        /// 已知晓具体进度
        /// </summary>
        Known,
        /// <summary>
        /// 不知晓具体进度
        /// </summary>
        Unknown
    }

    /// <summary>
    /// 进度指示样式
    /// </summary>
    public enum ProgressStyle
    {
        /// <summary>
        /// 分段块<para>Mode：Known</para><para>Type：All</para>
        /// </summary>
        Blocks,
        /// <summary>
        /// 连续<para>Mode：Known</para><para>Type：All</para>
        /// </summary>
        Continuous,
        /// <summary>
        /// 两遍式。先分段块覆盖，再连续覆盖<para>Mode：Known</para><para>Type：All</para>
        /// </summary>
        BlocksToContinuous,
        /// <summary>
        /// 螺旋<para>Mode：All</para><para>Type：Bar</para>
        /// </summary>
        Helical,
        /// <summary>
        /// 字幕滚动<para>Mode：Unnown</para><para>Type：All</para>
        /// </summary>
        Marquee
    }
    
    /// <summary>
    /// 进度条进度文本
    /// </summary>
    public enum ProgressText
    {
        /// <summary>
        /// 不显示
        /// </summary>
        None,
        /// <summary>
        /// 数字
        /// </summary>
        Number,
        /// <summary>
        /// 百分比
        /// </summary>
        Percent
    }

    /// <summary>
    /// 滑块摆动样式
    /// </summary>
    public enum MarqueeStyle
    {
        /// <summary>
        /// 左右摆动
        /// </summary>
        Swing,
        /// <summary>
        /// 循环穿过
        /// </summary>
        Cross,
        /// <summary>
        /// 往复_连续
        /// </summary>
        Reciprocation_Continuous,
        /// <summary>
        /// 划过_连续
        /// </summary>
        Across_Continuous,
        /// <summary>
        /// 往复_分段块
        /// </summary>
        Reciprocation_Blocks,
        /// <summary>
        /// 划过_分段块
        /// </summary>
        Across_Blocks

    }

    /// <summary>
    /// 滑块运动类型
    /// </summary>
    public enum MarqueeType
    {
        /// <summary>
        /// 匀速
        /// </summary>
        Even,
        /// <summary>
        /// 缓入缓出
        /// </summary>
        SlowInSlowOut
    }

}
