﻿/*
 * 作者：Leslie Xin
 * 邮箱：lesliexin@outlook.com
 * 网站：www.lesliexin.com
 * －－
 * 版权所有
 * 使用代码需附上作者信息
 * 
 */

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace DemoControls
{
    /// <summary>
    /// LLabel
    /// </summary>
    public class LLabel:Label
    {
        #region 属性

        /// <summary>
        /// 是否启用自动提示<para>默认：启用</para>
        /// </summary>
        [Category("DemoUI"), Description("是否启用自动提示\r\n默认：启用"), DefaultValue(true)]
        public bool L_EnableAutoTip { get; set; } = true;

        #endregion


        protected override void OnMouseEnter(EventArgs e)
        {
            if (!L_EnableAutoTip)
            {
                return;
            }
            else
            {
                base.OnMouseEnter(e);
            }
        }

    }
}
